Subject: Re: linux-next: Tree for Aug 27 (objtool)

From: Masami Hiramatsu <[email-masked]>
Date: Sat, 31 Aug 2019 00:14:27 +0900

On Fri, 30 Aug 2019 15:23:51 +0900
Masami Hiramatsu <[email-masked]> wrote:

> > Actually I wonder if X86_DECODER_SELFTEST is even still needed these
> > days, since objtool is enabled on default configs.  Objtool already uses
> > the decoder to disassemble every instruction in the kernel (except for a
> > few whitelisted files).
> 
> Sometimes it have found bugs, so I would like to keep it. That test runs
> build time and in-kernel decoder is somewhat critical. It is better to
> run a test before install it.

But yes, I think it may not need to run always anymore. So let's make it
disabled by default.

Thank you,

-- 
Masami Hiramatsu <[email-masked]>